Verify OTP Token
Verifies the one-time password (OTP) token used in the secure migration flow
Headers
- Type: stringx
-pch -digest requiredThe signature for the API call
- Type: stringAuthorizationrequired
Used to authorize the request with access_token. It should be supplied as
Bearer ACCESS_TOKEN_GOES_HERE. - Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringUser
- Agent requiredUsed to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.
Body
application/json
- Type: stringclientrequired
OAuth client ID provided by the business
- Type: stringtokenrequired
One-time password (OTP) token
- Type: stringverification
_mode requiredCan be either email address or phone number
Responses
- application/json
Request Example for put/api2/mobile/verify_token
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/verify_token \
--request PUT \
--header 'x-pch-digest: {{$$.env.signature}}' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
--data '{
"client": "CLIENT_GOES_HERE",
"token": "OTP_GOES_HERE",
"verification_mode": "1111111111"
}'
{}